Page MenuHomePhabricator

AMDGPU: Expand unaligned accesses early
ClosedPublic

Authored by arsenm on May 24 2016, 12:25 PM.

Details

Reviewers
tstellarAMD
Summary

Due to visit order problems, in the case of an unaligned copy
the legalized DAG fails to eliminate extra instructions introduced
by the expansion of both unaligned parts.

Diff Detail

Event Timeline

arsenm updated this revision to Diff 58291.May 24 2016, 12:25 PM
arsenm retitled this revision from to AMDGPU: Expand unaligned accesses early.
arsenm updated this object.
arsenm added a reviewer: tstellarAMD.
arsenm added a subscriber: llvm-commits.
arsenm updated this revision to Diff 59958.Jun 7 2016, 2:58 PM

Cleanups and fix tests on trunk

arsenm updated this revision to Diff 59962.Jun 7 2016, 3:11 PM

Change check order to fix regressions when D20595 is applied after

tstellarAMD accepted this revision.Jun 8 2016, 9:02 AM
tstellarAMD edited edge metadata.

LGTM.

lib/Target/AMDGPU/AMDGPUISelLowering.cpp
2290

Stray commented code.

This revision is now accepted and ready to land.Jun 8 2016, 9:02 AM
arsenm closed this revision.Jul 1 2016, 4:03 PM

r274397